summaryrefslogtreecommitdiff
path: root/net-analyzer/syweb/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /net-analyzer/syweb/files
reinit the tree, so we can have metadata
Diffstat (limited to 'net-analyzer/syweb/files')
-rw-r--r--net-analyzer/syweb/files/postinstall-en.txt8
-rw-r--r--net-analyzer/syweb/files/reconfig20
2 files changed, 28 insertions, 0 deletions
diff --git a/net-analyzer/syweb/files/postinstall-en.txt b/net-analyzer/syweb/files/postinstall-en.txt
new file mode 100644
index 000000000000..291d66d4e381
--- /dev/null
+++ b/net-analyzer/syweb/files/postinstall-en.txt
@@ -0,0 +1,8 @@
+Test your syweb installation by pointing your browser to the URL
+http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/configtest.php
+
+If you don't want any user interaction, move index_noui.php to index.php.
+
+syweb expects a <host>/*.rrd style directory structure under
+/var/lib/symon/rrds. Customize ${MY_INSTALLDIR}/setup.inc
+if this is incorrect for your setup.
diff --git a/net-analyzer/syweb/files/reconfig b/net-analyzer/syweb/files/reconfig
new file mode 100644
index 000000000000..79324cc1c7d0
--- /dev/null
+++ b/net-analyzer/syweb/files/reconfig
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+die() {
+ echo "#####"
+ echo $1
+ echo "#####"
+ exit 1
+}
+
+sed_var() {
+ sed -i "/\\$symon['$1']/s|=.*|='$2';|" "${MY_INSTALLDIR}"/setup.inc \
+ || die "sed $1 failed"
+}
+
+[[ $1 == "clean" ]] && exit 0
+
+sed_var rrdtool_path /usr/bin/rrdtool
+sed_var cache_dir "${VHOST_ROOT}"/syweb/cache
+sed_var host_tree /var/lib/symon/rrds
+sed_var layout_dir "${VHOST_ROOT}"/syweb